> For the complete documentation index, see [llms.txt](https://api-portal.novapost.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://api-portal.novapost.com/methods/ua/overview/services.md).

# Сервіси

## Курси валют

> Цей API метод дозволяє отримати курси обміну для різних валют на основі вказаної суми та вашої валюти. Передаючи суму та код валюти, ви можете отримати актуальні курси обміну відносно інших валют. У відповіді повертаються курси для вказаної суми в порівнянні з кожною доступною валютою, що дозволяє переглядати конвертацію валют.<br>

```json
{"openapi":"3.0.0","info":{"title":"API Nova Post","version":"1.0.0"},"tags":[{"name":"Services"}],"servers":[{"description":"sandbox","url":"https://api-stage.novapost.com/v.1.0/"},{"description":"production","url":"https://api.novapost.com/v.1.0/"}],"security":[{"JWT":[]}],"components":{"securitySchemes":{"JWT":{"type":"apiKey","in":"header","name":"Authorization","description":"Авторизаційний JWT-токен із терміном дії 1 година в заголовку"}},"responses":{"Unauthorized":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"NotFound":{"description":"The specified resource was not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"Validation":{"description":"Validation error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"Time-out":{"description":"Connection time-out","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}},"schemas":{"Error":{"type":"object","properties":{"errors":{"type":"object","properties":{"":{"type":"string"}}}}}}},"paths":{"/exchange-rates/conversion":{"post":{"tags":["Services"],"description":"Цей API метод дозволяє отримати курси обміну для різних валют на основі вказаної суми та вашої валюти. Передаючи суму та код валюти, ви можете отримати актуальні курси обміну відносно інших валют. У відповіді повертаються курси для вказаної суми в порівнянні з кожною доступною валютою, що дозволяє переглядати конвертацію валют.\n","requestBody":{"description":"Optional description in *Markdown*","required":true,"content":{"application/json":{"schema":{"type":"object","required":["date"],"properties":{"amount":{"type":"number","format":"float","description":"Сума коштів для отримання значення за курсом обміну для вказаної валюти. Повинна містити 2 знаки після коми."},"countryCode":{"type":"string","description":"Код країни відправника відповідно до стандарту ISO 3166-1 Alpha-2.","pattern":"^[A-Z]{2}$"},"currencyCode":{"type":"string","description":"Код валюти для отримання курсу обміну відповідно до стандарту ISO 4217.","pattern":"^[A-Z]{3}$"},"date":{"type":"string","format":"date-time","description":"Дата операції для курсу обміну у форматі ISO 8601."}}}}}},"responses":{"200":{"description":"shipments","content":{"application/json":{"schema":{"type":"object","properties":{"requestCurrency":{"type":"object","description":"Початкова сума коштів і валюта для обміну.","properties":{"currencyCode":{"type":"string","description":"Код валюти, що обмінюється, відповідно до стандарту ISO 4217.","pattern":"^[A-Z]{3}$"},"amount":{"type":"number","format":"float","description":"Сума коштів, що обмінюється. Повинна містити 2 знаки після коми."}}},"mainCurrency":{"type":"object","description":"Розрахунок суми обміну у валюті країни, для якої було вказано countryCode.","properties":{"currencyCode":{"type":"string","description":"Валюта країни, для якої було вказано countryCode, відповідно до стандарту ISO 4217.","pattern":"^[A-Z]{3}$"},"amount":{"type":"number","format":"float","description":"Сума коштів за курсом обміну валюти для вказаної країни. Повинна містити 2 знаки після коми."}}},"convertedCurrencies":{"type":"array","description":"Список розрахунків за доступними поточними курсами обміну щодо різних валют на основі вказаної в запиті суми коштів.","items":{"type":"object","properties":{"currencyCode":{"type":"string","description":"Код валюти відповідно до стандарту ISO 4217.","pattern":"^[A-Z]{3}$"},"amount":{"type":"number","format":"float","description":"Сума коштів, розрахована за курсом обміну відповідної валюти. Повинна містити 2 знаки після коми."}}}}}}}}},"401":{"$ref":"#/components/responses/Unauthorized"},"404":{"$ref":"#/components/responses/NotFound"},"422":{"$ref":"#/components/responses/Validation"},"503":{"$ref":"#/components/responses/Time-out"}},"summary":"Курси валют"}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://api-portal.novapost.com/methods/ua/overview/services.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
